Reference Tables
Operations related to Reference Tables that enable improved search of Audience Features by final value in the Standard Segment Builder. Reference Tables map technical values to business-friendly labels, allowing users to search for audience criteria using natural language terms and improving the usability of segment building for non-technical users.
Find a reference table job execution from a given datamart
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/reference_table_job_executions/{id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
}List the reference table import job executions
Offset from which the search must be performed
Number of maximum items that shall be return by this search
Fields used to order the result
The status of the job (PENDING/RUNNING/SUCCEEDED/FAILED)
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/reference_table_job_executions HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"max_results": 1,
"count": 1,
"first_result": 1,
"data": [
{
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
],
"status": "ok",
"total": 1
}Post a file to start the reference table import job execution
Defaults to true. Indicates whether to check schema / imported file compatibility before triggering the job.
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/reference_table_job_executions HTTP/1.1
Host: api.mediarithmics.local
Content-Type: text/csv
Accept: */*
Content-Length: 6
"text"{
"status": "ok",
"data": {
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
}Get the reference table final values matching given final values
The list of final values the user is searching for
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/reference_table_values?keywords=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"status": "ok",
"data": {
"values": [
"text"
]
}
}Perform an action on the reference table import job
Success !
Error response
Error response
Error response
Error response
Error response
Error response
POST /v1/datamarts/{datamart_id}/reference_table_job_executions/{id}/action HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 19
{
"action": "CANCEL"
}{
"status": "ok",
"data": {
"organisation_id": "text",
"start_date": 0,
"job_type": "text",
"num_tasks": 0,
"community_id": "text",
"completed_tasks": 0,
"max_retry_count": 0,
"parameters": "text",
"result": "text",
"duration": 1,
"cancel_status": "REQUESTED",
"is_retryable": false,
"status": "PENDING",
"creation_date": 0,
"user_id": "text",
"id": "text",
"erroneous_tasks": 0,
"retry_count": 0,
"permalink_uri": "text",
"debug": "text",
"external_name": "text"
}
}Get reference table variables given final values
The list of keywords that are contained or equal to the final values to match
The maximum number of final values to search
Success !
Error response
Error response
Error response
Error response
Error response
Error response
GET /v1/datamarts/{datamart_id}/reference_table_variables?keywords=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
"total": 1,
"status": "ok",
"data": [
{
"path": "text",
"values": [
"text"
]
}
],
"max_results": 1,
"first_result": 1,
"count": 1
}Last updated
Was this helpful?